CLS
@ECHO OFF
ECHO :  This File Builds the Microsoft C++ Library   C4BASE.LIB
ECHO :
ECHO :  During this process file 'C4BASE.LIB' is erased.
ECHO :
ECHO :  Warning:  Install CodeBase++ 5.0 before running this batch file.
ECHO :  Press Ctrl C or Break to abort.
ECHO :
ECHO :  The compile is broken into sections because if everything is
ECHO :  compiled at once, MSC 7.0 returns an 'out of memory' 
ECHO :  or 'out of far heap space' half way through.
ECHO :
ECHO :  View the file 'OUT' for compiler output
ECHO :
ECHO :  This compilation may produce some warning messages under
ECHO :  MSC 7.0.  Some of the warnings may refer to unused parameters.
ECHO :  In these cases, the parameters are used in other compile options.
ECHO :  Other warnings refer to completely valid and safe code.  They
ECHO :  can be safely ignored.
PAUSE
CLS
ECHO ON
copy c4lib.lst ..\source
chdir ..\source
erase  c4base.lib
cl %1 %2 %3 -c -YcD4ALL.H -Zp1 -W3 -Zl -AL -TpF4INFO_P.CPP   > OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4SEQ.CPP     >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpT4INFO.CPP    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4DATA_P.CPP  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4STR.CPP     >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4STRING.CPP  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpB4BLOCK.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpC4.C       >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpC4BCD.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpC4CODE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpC4CONST.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4APPEND.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4CLOSE.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4CREATE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4DATA.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4DATE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4FIELD.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4FLUSH.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4FRESH.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4GO.C     >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4INDEX.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4LOCK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4OPEN.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4OPT.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4PACK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4POSITI.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4SEEK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4SKIP.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4TAG.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4UNLOCK.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4WRITE.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpD4ZAP.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4CALC.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4ERROR.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4EXPR.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4FUNCTI.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4NOT_S.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpE4PARSE.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4ASS_F.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4CHAR.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4CLOSE.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4CREATE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4DOUBLE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4FIELD.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4FILE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4FILESE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4FLAG.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4FLUSH.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4INFO.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4INT.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4LOCK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4LONG.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4MEMO.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4OPEN.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4OPT.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4PTR.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4STR.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4TEMP.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4TRUE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpF4WRITE.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4ADD.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4ADDTAG.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4CHECK.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4CREATE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4DUMP.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4INDEX.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4INFO.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4INIT.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4KEY.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4LOCK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4NTAG.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4POSITI.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4REMOVE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpI4TAG.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpL4LINK.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpL4LOCK_C.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4CHECK.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4CREATE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4FILE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4MAP.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4MEMO.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpM4MEMORY.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpO4OPT.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4CODE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4DRIVER.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4GROUP.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4LOG.C    >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4OBJECT.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4REINDE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4REINDX.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4RELATE.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4REPORT.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4SAVE.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4SAVE_M.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4STYLES.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4TEXT.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpR4TOTAL.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4INIT.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4INITFR.C >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4NEXT.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4QUICK.C  >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpS4SORT.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpU4NAME.C   >> OUT
cl %1 %2 %3 -c -YuD4ALL.H -Zp1 -W3 -Zl -AL -TpU4UTIL.C   >> OUT
lib    @c4lib.lst                             
chdir ..\msc7                                    
